http_request_method_unregister
http_redirect
HTTP Fonctions
PHP Manual

# http_request

(PECL pecl_http:1.0.0-1.5.5)

http_request — Effectue une requête personnalisée

### Description

string http_request ( int `$method` [, string `$url` [, string `$body` [, array `$options` [, array `&$info` ]]]] )

Effectue une requête HTTP personnalisée sur l'URL suppliée.

Voir la liste complète des options de demande.

### Liste de paramètres

`method`

  Méthode de la requête

`url`

  URL

`body`

  Corps de la requête

`options`

  options de demande

`info`

  information de demande/réponse

### Valeurs de retour

Retourne la(les) réponse(s) HTTP sous la forme d'une chaîne de caractères en cas de succès, ou `FALSE` si une erreur survient.

http_request_method_unregister
http_redirect
HTTP Fonctions
PHP Manual